# GeoPhys ![Shear-wave velocity model in the LA area, looking north. Color scale is 100 to 1000 m/s Vs30 on the top and 100 to 5000 m/s shear-wave velocity on the sides. Vertical exageration is a factor of 10.](images/LACrossSectionVelocitySmall.png)

This set of utilities is used to extract geophysical information from the NCM (Boyd, 2020)
including, for example, S-wave, P-wave, and density profiles, as well as attributes for ground
motions models including *V*S30,  *Z*1.0, and *Z*2.5. Running the code in either MATLAB or
Python requires all of the NCM databases:

[GeoPhys](https://code.usgs.gov/ghsc/nshmp/ncm/GeoPhys)

* NCM_AuxData.nc (<https://doi.org/10.5066/P9GO3CP8>)

[GeoFram](https://code.usgs.gov/ghsc/nshmp/ncm/GeoFram)

* NCM_GeologicFrameworkVolume.nc
* NCM_AuxGrid.nc
* NCM_SpatialGrid.nc

[TherMod](https://code.usgs.gov/ghsc/nshmp/ncm/TherMod)

* NCM_TemperatureModel.nc

[MinVel](https://code.usgs.gov/ghsc/nshmp/ncm/MinVel)

* MineralPhysicsDatabase.nc

These codes are part of an effort to produce a three dimensional national crustal model for use with seismic hazard studies. (<https://doi.org/10.5066/P9T96Q67>)

## Python

See the [README](geophys/README.md) file in the [geophys](geophys) directory for instructions
on installing the database and running in Python.

## Matlab

See the [README](matlab/README.md) file in the [matlab](matlab) directory for running in MATLAB.

## Help

Any questions regarding the code can be directed to olboyd@usgs.gov.

## References

*Boyd, O.S., 2020, Calibration of the U.S. Geological Survey
National Crustal Model: U.S. Geological Survey Open-File
Report 2020–1052, 23 p., <https://doi.org/10.3133/ofr20201052>*
