# GeoPhys MATLAB routines ![Shear-wave velocity model in the LA area, looking north. Color scale is 100 to 1000 m/s Vs30 on the top and 100 to 5000 m/s shear-wave velocity on the sides. Vertical exageration is a factor of 10.](images/LACrossSectionVelocitySmall.png)

This program is used to extract geophysical profiles from the NCM (Boyd, 2020). Running the code requires the NCM Calibration dataset (<https://doi.org/10.5066/P9GO3CP8>), NCM Geologic Framework databases (<https://doi.org/10.5066/P9SBQENM>), NCM thermal model, NCM_TemperatureGrids.nc (<https://doi.org/10.5066/P935DT1G>), and the NCM Petrologic and Mineral Physics database (<https://doi.org/10.5066/P9HN170G>). These codes and datasets are part of an effort to produce a three dimensional national crustal model for use with seismic hazard studies. (<https://doi.org/10.5066/P9T96Q67>)

Profiles can be returned from roughly -126 degrees to -100 degrees longitude and 22 to 53 degrees latitude. If the requested location is outside of the bounds of the NCM, a message to that effect will be returned.

## Installation

Within matlab, add to your path the location of the GeoPhys matlab scripts. The LoadNCMData.m script assumes that the databases (mentioned above) are installed in NCMBase/database where NCMBase is ../../(Location of LoadNCMData.m). For example, GeoPhys.m might be located in Path/NCM/GeoPhys/matlab. The database directory would then be in Path/NCM/database. LoadNCMData.m can be edited to allow for a different location of the database.

## Example

See example.m for an example.

## Help

Please see or query the code for help.

**matlab>> help GeoPhys**

Any questions regarding the code and data can be directed to olboyd@usgs.gov.

## References

*Boyd, O.S., 2020, Calibration of the U.S. Geological Survey
National Crustal Model: U.S. Geological Survey Open-File
Report 2020–1052, 23 p., <https://doi.org/10.3133/ofr20201052>*
